/// Numeric Units in String Format
const Map<String, String> NUnits = {
  "1": "one",
  "2": "two",
  "3": "three",
  "4": "four",
  "5": "five",
  "6": "six",
  "7": "seven",
  "8": "eight",
  "9": "nine"
};

/// Special Numeric cases
const Map<String, String> NFirstTens = {
  "11": "eleven",
  "12": "twelve",
  "13": "thirteen",
  "14": "fourteen",
  "15": "fifteen",
  "16": "sixteen",
  "17": "seventeen",
  "18": "eighteen",
  "19": "nineteen"
};

/// Numeric Tens
const Map<String, String> NTens = {
  "1": "ten",
  "2": "twenty",
  "3": "thirty",
  "4": "forty",
  "5": "fifty",
  "6": "sixty",
  "7": "seventy",
  "8": "eighty",
  "9": "ninety"
};

/// Map representing Identifiers based on preceding hundreds
const Map<int, String> HundredsMap = {
  0: "",
  1: "thousand",
  2: "million",
  3: "billion",
  4: "trillion",
  5: "quadrillion",
  6: "quintillion",
  7: "sextillion",
  8: "septillion",
  9: "octillion",
  10: "nonillion",
  11: "decillion",
  12: "undecillion",
  13: "duodecillion"
};
